Skip to content

Deployment

deployment_volume_create

Create a volume

Tool

deployment_volume_create

Create a volume

Create a volume

Behavior

HTTP
POST /deployment/environments/:environmentId/volumes

Arguments

NameTypeRequiredDescription
namestringNo description in the catalog.
slugstringNo description in the catalog.
sizeGbintegerNo description in the catalog.
mountPathstringNo description in the catalog.
environmentIdstringNo description in the catalog.
attachedServiceIdstringNo description in the catalog.

Response

FieldTypeAlwaysDescription
idstring
namestring
slugstring
sizeGbinteger
statusstring
createdAtstring
mountPathstring
updatedAtstring
environmentIdstring
lastErrorMessagestring
attachedServiceIdstring

Try it

Create a volume.

When to use

Create a volume

Example

Ask your agent something like this:

Create a volume.

The agent will invoke deployment_volume_create with these arguments:

{
  "name": "<name>",
  "sizeGb": "<sizeGb>",
  "mountPath": "<mountPath>",
  "environmentId": "<environmentId>"
}

Esc

Start typing to search the docs.

navigateselect